info:
  name: Metabase Spark SQL Driver
  version: 1.0.0-SNAPSHOT-1.2.2
  description: Allows Metabase to connect to Spark SQL databases.
driver:
  - name: hive-like
    lazy-load: true
    abstract: true
    parent: sql-jdbc
  - name: sparksql
    display-name: Spark SQL
    lazy-load: true
    parent: hive-like
    connection-properties:
      - host
      - merge:
          - port
          - default: 10000
      - merge:
          - dbname
          - placeholder: default
      - user
      - password
      - cloud-ip-address-info
      - ssh-tunnel
      - advanced-options-start
      - merge:
          - additional-options
          - name: jdbc-flags
            placeholder: ';transportMode=http'
      - default-advanced-options
init:
  - step: load-namespace
    namespace: metabase.driver.hive-like
  - step: load-namespace
    namespace: metabase.driver.sparksql
